/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.WcGruposUsuarios;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 * @author obper
 */
@Stateless
public class WcGruposUsuariosFacade extends AbstractFacade<WcGruposUsuarios> implements WcGruposUsuariosFacadeLocal {

    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public WcGruposUsuariosFacade() {
        super(WcGruposUsuarios.class);
    }

    @Override
    public List<WcGruposUsuarios> bucarcarTodos() {

        return em.createNamedQuery("WcGruposUsuarios.findAll").getResultList();
    }


}
